package com.sunxung.factoring.component.tag;

import java.util.HashSet;
import java.util.Set;

import org.thymeleaf.dialect.AbstractProcessorDialect;
import org.thymeleaf.processor.IProcessor;

/**
 * 自定义thymeleaf tag标签
 */
public class TagDialect extends AbstractProcessorDialect {

    public TagDialect(){
        super("tagDialect", "tag", 1000);
    }

    @Override
    public Set<IProcessor> getProcessors(String dialectPrefix) {
        final Set<IProcessor> processors = new HashSet<IProcessor>();
        processors.add(new OptionTag(dialectPrefix));
        processors.add(new PermissionTag(dialectPrefix));
        processors.add(new TokenTag(dialectPrefix));
        processors.add(new CheckboxTag(dialectPrefix));
        return processors;
    }
}
